Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
maj libreoffice, version hunspell {résolu}
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
c4-53
n00b
n00b


Joined: 16 Jun 2019
Posts: 52

PostPosted: Mon Oct 14, 2019 8:38 pm    Post subject: maj libreoffice, version hunspell {résolu} Reply with quote

Bonjour
J'ai un petit soucis quand je lance la recherche de mise à jour.

Code:
WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

app-text/hunspell:0

  (app-text/hunspell-1.7.0-r1:0/1.7::gentoo, ebuild scheduled for merge) conflicts with
    app-text/hunspell:0/1.6= required by (app-office/libreoffice-bin-6.2.5.2:0/0::gentoo, installed)
                     ^^^^^^^
    app-text/hunspell:0/1.6 required by (app-office/libreoffice-bin-6.2.5.2:0/0::gentoo, installed)
                     ^^^^^^


C'est quoi la différence entre "app-text/hunspell:0/1.6=" et "app-text/hunspell:0/1.6"?
Je n'ai rien spécifié dans mes fichiers /etc/packge.****/*** , au sujet de libreoffice ni de hunspell.
_________________
gigabyte 970a-ds3p - fx8300 - 16Go - radeon rx550 - iiyama prolite xub2792qsu-b1 - rme hdsp9632 - focusrite octopre mk2
utilisateur de fedora / centos / debian / arch / ...calculate/ gentoo...


Last edited by c4-53 on Mon Oct 14, 2019 9:50 pm; edited 1 time in total
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8509
Location: ~Brussels - Belgique

PostPosted: Mon Oct 14, 2019 8:47 pm    Post subject: Reply with quote

Bonjour,

Le message dit que la mise à jour vers la version 1.7 est bloquée par libreoffice-bin qui a besoin de la version 1.6
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
c4-53
n00b
n00b


Joined: 16 Jun 2019
Posts: 52

PostPosted: Mon Oct 14, 2019 9:06 pm    Post subject: Reply with quote

Oui j'avais compris, le truc c'est pourquoi et comment solutionner le truc
Quand je fais un
Code:
# eix hunspell
[U] app-text/hunspell
     Available versions:  1.6.2-r1(0/1.6) (~)1.7.0(0/1.7) (~)1.7.0-r1(0/1.7) {ncurses nls readline static-libs L10N="af bg ca cs cy da de de-1901 el en eo es et fo fr ga gl he hr hu ia id is it kk km ku lt lv mi mk ms nb nl nn pl pt pt-BR ro ru sk sl sq sv sw tn uk zu"}
     Installed versions:  1.6.2-r1(0/1.6)(20:54:11 25/07/2019)(ncurses nls readline -static-libs L10N="fr -af -bg -ca -cs -cy -da -de -de-1901 -el -en -eo -es -et -fo -ga -gl -he -hr -hu -ia -id -is -it -kk -km -ku -lt -lv -mi -mk -ms -nb -nl -nn -pl -pt -pt-BR -ro -ru -sk -sl -sq -sv -sw -tn -uk -zu")
     Homepage:            https://github.com/hunspell
     Description:         Hunspell spell checker - an improved replacement for myspell in OOo

Code:

poste01 ~ # eix libreoffice
* app-office/libreoffice
     Available versions:  6.2.5.2 ~6.2.7.1 ~6.3.1.2 **6.3.9999*l **9999*l {accessibility bluetooth +branding coinmp +cups dbus debug eds firebird googledrive gstreamer +gtk gtk2 java kde ldap +mariadb odk pdfimport postgres test vlc ELIBC="FreeBSD" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" PYTHON_SINGLE_TARGET="python2_7 python3_5 python3_6 python3_7" PYTHON_TARGETS="python2_7 python3_5 python3_6 python3_7"}
     Homepage:            https://www.libreoffice.org
     Description:         A full office productivity suite

[I] app-office/libreoffice-bin
     Available versions:  6.2.5.2^st {gnome java kde ELIBC="FreeBSD" PYTHON_TARGETS="python3_6"}
     Installed versions:  6.2.5.2^st(04:27:50 31/07/2019)(-gnome -java -kde ELIBC="-FreeBSD" PYTHON_TARGETS="python3_6")
     Homepage:            https://www.libreoffice.org
     Description:         A full office productivity suite. Binary package

* app-office/libreoffice-bin-debug
     Available versions:  6.2.5.2^st {gnome java kde}
     Homepage:            https://www.libreoffice.org
     Description:         LibreOffice, a full office productivity suite. Binary package, debug info

[I] app-office/libreoffice-l10n
     Available versions:  6.2.5.2^s ~6.2.7.1^s ~6.3.1.2^s {offlinehelp L10N="af am ar as ast be bg bn bn-IN bo br brx bs ca ca-valencia cs cy da de dgo dz el en en-GB en-ZA eo es et eu fa fi fr ga gd gl gu gug he hi hr hu id is it ja ka kk km kmr-Latn kn ko kok ks lb lo lt lv mai mk ml mn mni mr my nb ne nl nn nr nso oc om or pa pl pt pt-BR ro ru rw sa sat sd si sid sk sl sq sr sr-Latn ss st sv sw-TZ ta te tg th tn tr ts tt ug uk uz ve vi xh zh-CN zh-TW zu"}
     Installed versions:  6.2.5.2^s(04:03:59 31/07/2019)(-offlinehelp L10N="fr -af -am -ar -as -ast -be -bg -bn -bn-IN -bo -br -brx -bs -ca -ca-valencia -cs -cy -da -de -dgo -dz -el -en -en-GB -en-ZA -eo -es -et -eu -fa -fi -ga -gd -gl -gu -gug -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kmr-Latn -kn -ko -kok -ks -lb -lo -lt -lv -mai -mk -ml -mn -mni -mr -my -nb -ne -nl -nn -nr -nso -oc -om -or -pa -pl -pt -pt-BR -ro -ru -rw -sa -sat -sd -si -sid -sk -sl -sq -sr -sr-Latn -ss -st -sv -sw-TZ -ta -te -tg -th -tn -tr -ts -tt -ug -uk -uz -ve -vi -xh -zh-CN -zh-TW -zu")
     Homepage:            https://www.libreoffice.org
     Description:         Translations for the Libreoffice suite

* app-office/libreoffice-voikko
     Available versions:  ~5.0
     Homepage:            https://voikko.puimula.org/
     Description:         Free Finnish spell checking and hyphenation for LibreOffice

Il n'y a pas d'autre version plus résente de libreoffice-bin, sauf le libreoffice-l10n. À mon avis c'est ce dernier qui est en cause. (vu mon niveau, c'est pas sûr)
Désolé je n'ai pas encore tout les automatisme gentoo"esque"
_________________
gigabyte 970a-ds3p - fx8300 - 16Go - radeon rx550 - iiyama prolite xub2792qsu-b1 - rme hdsp9632 - focusrite octopre mk2
utilisateur de fedora / centos / debian / arch / ...calculate/ gentoo...
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8509
Location: ~Brussels - Belgique

PostPosted: Mon Oct 14, 2019 9:24 pm    Post subject: Reply with quote

Il n'y a rien à "corriger". La version de libreoffice-bin refuse une version plus récente de hunspell, jusqu'à une mise à jour de ce paquet binaire.
Ce n'est pas un problème en soi
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
c4-53
n00b
n00b


Joined: 16 Jun 2019
Posts: 52

PostPosted: Mon Oct 14, 2019 9:50 pm    Post subject: Reply with quote

Ok, merci, ça faisait un moment que je voyais ce message, et je trouvais ça curieux.
_________________
gigabyte 970a-ds3p - fx8300 - 16Go - radeon rx550 - iiyama prolite xub2792qsu-b1 - rme hdsp9632 - focusrite octopre mk2
utilisateur de fedora / centos / debian / arch / ...calculate/ gentoo...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum